WPCloud Deploy Documentation

Technical Upgrade Notes For V 4.3.0

After upgrading to Version 4.3.0 of WPCloudDeploy some actions need to be taken on all your existing servers in order to add support for PHP 8.0 and to prevent future errors when we invoke PHP 8.0 specific routines:

  • Disable and re-enable backups.  This will update the backup scripts to their new versions.
  • Uninstall and reinstall the REDIS server (if you have it installed on a server).  This will add the Redis php 8.0 extension.

Server Sync

If you are using server syncing, do not configure server sync to push server data from newer servers with PHP 8.0 to older destination servers!  You should, instead, create a new destination server which will automatically have PHP 8.0 support installed.

Site Sync / Pushing Sites To New Servers

Do not push sites using PHP 8.0 to existing destination servers that have not been updated to PHP 8.0

Share: